commit dd31cb03116dbce167f8826c09c1a84c1b7a1623
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon Mar 2 17:27:59 2020 +0100

    Documentation restructured and overhauled.

diff --git a/doc/componentdiagrams/µRtWare.svg b/doc/componentdiagrams/µRtWare.svg
index 09cf3f2..362a0fd 100644
--- a/doc/componentdiagrams/µRtWare.svg
+++ b/doc/componentdiagrams/µRtWare.svg
@@ -1,4 +1,14 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="256px" preserveAspectRatio="none" style="width:485px;height:256px;" version="1.1" viewBox="0 0 485 256" width="485px" zoomAndPan="magnify"><defs><filter height="300%" id="f1jutassn3u6p6" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><!--cluster µRtWare_node--><polygon fill="#FFFFFF" filter="url(#f1jutassn3u6p6)" points="135,34,145,24,380,24,380,234,370,244,135,244,135,34" style="stroke: #000000; stroke-width: 1.5;"/><line style="stroke: #000000; stroke-width: 1.5;" x1="370" x2="379" y1="34" y2="25"/><line style="stroke: #000000; stroke-width: 1.5;" x1="135" x2="370" y1="34" y2="34"/><line style="stroke: #000000; stroke-width: 1.5;" x1="370" x2="370" y1="34" y2="244"/><text fill="#000000" font-family="sans-serif" font-size="14" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="67" x="220" y="49.9951">µRtWare</text><!--entity urtware.h--><ellipse cx="191" cy="93" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="65" x="158.5" y="122.9951">urtware.h</text><!--entity urtware.hpp--><ellipse cx="315" cy="93" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="83" x="273.5" y="122.9951">urtware.hpp</text><!--entity µRtWare--><rect fill="#FEFECE" filter="url(#f1jutassn3u6p6)" height="46.2969" style="stroke: #A80036; stroke-width: 1.5;" width="99" x="207.5" y="182"/><rect fill="#FEFECE" height="10" style="stroke: #A80036; stroke-width: 1.5;" width="15" x="286.5" y="187"/><rect fill="#FEFECE" height="2" style="stroke: #A80036; stroke-width: 1.5;" width="4" x="284.5" y="189"/><rect fill="#FEFECE" height="2" style="stroke: #A80036; stroke-width: 1.5;" width="4" x="284.5" y="193"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="59" x="222.5" y="214.9951">µRtWare</text><!--entity urt_osal.h--><ellipse cx="440" cy="93" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="67" x="406.5" y="122.9951">urt_osal.h</text><!--entity urtwareconf.h--><ellipse cx="61" cy="93" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="95" x="13.5" y="122.9951">urtwareconf.h</text><!--link urt_osal.h to µRtWare--><path d="M422.102,104.758 C392.448,122.583 332.545,158.591 293.632,181.9805 " fill="none" id="urt_osal.h-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M423.9301,93.7918 A9,9 0 0 0 432.6432 108.2895" fill="none" style="stroke: #A80036; stroke-width: 1.5;"/><!--link urtwareconf.h to µRtWare--><path d="M79.0977,104.157 C110.389,121.718 175.293,158.144 217.453,181.805 " fill="none" id="urtwareconf.h-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M68.7355,108.0396 A9,9 0 0 0 77.0142 93.2896" fill="none" style="stroke: #A80036; stroke-width: 1.5;"/><!--link urtware.h to µRtWare--><path d="M195.961,102.268 C205.974,118.956 228.898,157.164 243.628,181.7129 " fill="none" id="urtware.h-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><!--link urtware.hpp to µRtWare--><path d="M310.641,102.268 C301.841,118.956 281.696,157.164 268.751,181.7129 " fill="none" id="urtware.hpp-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><!--
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="232px" preserveAspectRatio="none" style="width:485px;height:232px;" version="1.1" viewBox="0 0 485 232" width="485px" zoomAndPan="magnify"><defs><filter height="300%" id="f1jutassn3u6p6" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><!--MD5=[6453d75e9418050e260cec6f688958e6]
+cluster µRtWare_node--><polygon fill="#FFFFFF" filter="url(#f1jutassn3u6p6)" points="143,26,153,16,372,16,372,210,362,220,143,220,143,26" style="stroke: #000000; stroke-width: 1.5;"/><line style="stroke: #000000; stroke-width: 1.5;" x1="362" x2="371" y1="26" y2="17"/><line style="stroke: #000000; stroke-width: 1.5;" x1="143" x2="362" y1="26" y2="26"/><line style="stroke: #000000; stroke-width: 1.5;" x1="362" x2="362" y1="26" y2="220"/><text fill="#000000" font-family="sans-serif" font-size="14" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="67" x="220" y="41.9951">µRtWare</text><!--MD5=[fd40ccbe8774676953ddf61024a14cbe]
+entity urtware.h--><ellipse cx="191" cy="77" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="65" x="158.5" y="106.9951">urtware.h</text><!--MD5=[ee46182f0107dd9daf1ed8ff1f2d296f]
+entity urtware.hpp--><ellipse cx="315" cy="77" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="83" x="273.5" y="106.9951">urtware.hpp</text><!--MD5=[2ba4cb89ad92ecc55d806d1b58fad40b]
+entity µRtWare--><rect fill="#FEFECE" filter="url(#f1jutassn3u6p6)" height="46.2969" style="stroke: #A80036; stroke-width: 1.5;" width="99" x="207.5" y="166"/><rect fill="#FEFECE" height="10" style="stroke: #A80036; stroke-width: 1.5;" width="15" x="286.5" y="171"/><rect fill="#FEFECE" height="2" style="stroke: #A80036; stroke-width: 1.5;" width="4" x="284.5" y="173"/><rect fill="#FEFECE" height="2" style="stroke: #A80036; stroke-width: 1.5;" width="4" x="284.5" y="177"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="59" x="222.5" y="198.9951">µRtWare</text><!--MD5=[d0dd69a14be837f7f3c90f75114d3962]
+entity urt_osal.h--><ellipse cx="440" cy="77" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="67" x="406.5" y="106.9951">urt_osal.h</text><!--MD5=[52e703b0f56369573ced850c1d612a7d]
+entity urtwareconf.h--><ellipse cx="61" cy="77" fill="#FEFECE" filter="url(#f1jutassn3u6p6)" rx="8" ry="8" style="stroke: #A80036; stroke-width: 2.0;"/><text fill="#000000" font-family="sans-serif" font-size="14" lengthAdjust="spacingAndGlyphs" textLength="95" x="13.5" y="106.9951">urtwareconf.h</text><!--MD5=[4a3605c6554f9d69a4d0f086ddf56b5f]
+reverse link urt_osal.h to µRtWare--><path d="M422.1903,87.8999 C392.856,105.8532 333.7506,142.027 294.7781,165.879 " fill="none" id="urt_osal.h&lt;-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M423.8847,76.9474 A9,9 0 0 0 432.7143 91.3744" fill="none" style="stroke: #A80036; stroke-width: 1.5;"/><!--MD5=[3a30f5b64b239cc7733a184d2bf0b05c]
+reverse link urtwareconf.h to µRtWare--><path d="M79.0383,87.3076 C110.1045,105.0597 174.4261,141.8149 216.63,165.9314 " fill="none" id="urtwareconf.h&lt;-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M68.6672,91.1219 A9,9 0 0 0 77.0592 76.4361" fill="none" style="stroke: #A80036; stroke-width: 1.5;"/><!--MD5=[2db42f0cea6f9a2448bf6fce9057241f]
+link urtware.h to µRtWare--><path d="M196.4011,86.1654 C206.5606,103.4059 228.7979,141.1419 243.3235,165.7914 " fill="none" id="urtware.h-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[b7da49829622cf1b4f67c91d44023ac0]
+link urtware.hpp to µRtWare--><path d="M310.2536,86.1654 C301.3255,103.4059 281.7836,141.1419 269.0187,165.7914 " fill="none" id="urtware.hpp-µRtWare" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[a1501929033370bfd88357139c5f763d]
 @startuml
 skinparam componentStyle uml2
 
@@ -19,13 +29,12 @@ node "µRtWare" as µRtWare_node {
 
 @enduml
 
-PlantUML version 1.2018.11(Sat Sep 22 18:43:53 CEST 2018)
+PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 1.8.0_181-8u181-b13-1ubuntu0.16.04.1-b13
+Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
 Operating System: Linux
-OS Version: 4.15.0-38-generic
 Default Encoding: UTF-8
 Language: en
 Country: US