commit 33f542133dd484ad1904f87d0e837020e4f31433
Author: Cung Sang <csang@techfak.uni-bielefeld.de>
Date:   Fri Feb 8 18:30:40 2019 +0100

    Moved DW1000 config struct into driver and made minor changes

diff --git a/include/DW1000/v1/alld_dw1000_v1.h b/include/DW1000/v1/alld_dw1000_v1.h
index 9d17bc5..0a333b0 100755
--- a/include/DW1000/v1/alld_dw1000_v1.h
+++ b/include/DW1000/v1/alld_dw1000_v1.h
@@ -477,8 +477,8 @@ void dwt_setgpiovalue(uint32_t gpioNum, uint32_t value);
  *
  * returns DWT_SUCCESS for success, or DWT_ERROR for error
  */
-int dwt_initialise(uint16_t config) ;   // TODO
-//int dwt_initialise(uint16_t config, DW1000Driver* drv) ;
+//int dwt_initialise(uint16_t config) ;   // TODO
+int dwt_initialise(uint16_t config, DW1000Driver* drv) ;
 
 /*! ------------------------------------------------------------------------------------------------------------------
  * @fn dwt_configure()
@@ -1728,54 +1728,6 @@ void dwt_write8bitoffsetreg(int regFileID, int regOffset, uint8_t regval);
  ****************************************************************************************************************************************************/
 
 
-/*! ------------------------------------------------------------------------------------------------------------------
- * @fn writetospi()
- *
- * @brief
- * NB: In porting this to a particular microprocessor, the implementer needs to define the two low
- * level abstract functions to write to and read from the SPI.
- * Low level abstract function to write to the SPI
- * Takes two separate byte buffers for write header and write data
- * returns 0 for success, or -1 for error
- *
- * Note: The body of this function is platform specific
- *
- * input parameters:
- * @param headerLength  - number of bytes header being written
- * @param headerBuffer  - pointer to buffer containing the 'headerLength' bytes of header to be written
- * @param bodylength    - number of bytes data being written
- * @param bodyBuffer    - pointer to buffer containing the 'bodylength' bytes od data to be written
- *
- * output parameters
- *
- * returns DWT_SUCCESS for success, or DWT_ERROR for error
- */
-extern int writetospi(uint16_t headerLength, const uint8_t *headerBuffer, uint32_t bodylength, const uint8_t *bodyBuffer);
-
-/*! ------------------------------------------------------------------------------------------------------------------
- * @fn readfromspi()
- *
- * @brief
- * NB: In porting this to a particular microprocessor, the implementer needs to define the two low
- * level abstract functions to write to and read from the SPI.
- * Low level abstract function to write to the SPI
- * Takes two separate byte buffers for write header and write data
- * returns 0 for success, or -1 for error
- *
- * Note: The body of this function is platform specific
- *
- * input parameters:
- * @param headerLength  - number of bytes header to write
- * @param headerBuffer  - pointer to buffer containing the 'headerLength' bytes of header to write
- * @param readlength    - number of bytes data being read
- * @param readBuffer    - pointer to buffer containing to return the data (NB: size required = headerLength + readlength)
- *
- * output parameters
- *
- * returns DWT_SUCCESS for success (and the position in the buffer at which data begins), or DWT_ERROR for error
- */
-extern int readfromspi(uint16_t headerLength, const uint8_t *headerBuffer, uint32_t readlength, uint8_t *readBuffer);
-
 // ---------------------------------------------------------------------------
 //
 // NB: The purpose of the deca_mutex.c file is to provide for microprocessor interrupt enable/disable, this is used for
@@ -1845,7 +1797,8 @@ void Sleep(unsigned int time_ms);
 
 void port_EnableEXT_IRQ(void);
 void port_DisableEXT_IRQ(void);
-ITStatus port_GetEXT_IRQStatus(void);
+decaIrqStatus_t port_GetEXT_IRQStatus(void);
+//ITStatus port_GetEXT_IRQStatus(void);
 
 void port_set_dw1000_slowrate(void);
 void port_set_dw1000_fastrate(void);
@@ -1859,23 +1812,6 @@ uint32_t portGetTickCnt(void);
 #define DW1000_EXTI_IRQn    EXTI15_10_IRQn
 
 
-/**
- * @brief   Flag to switch between two SPI speeds on the fly
- */
-extern bool isHighSpeedSpi;
-
-
-/**
- * @brief   Configuration for the Low Speed SPI interface driver to communicate with DW1000
- */
-//extern SPIConfig moduleHalSpiUwbLsConfig;
-
-
-/**
- * @brief   Configuration for the High Speed SPI interface driver to communicate with DW1000
- */
-//extern SPIConfig moduleHalSpiUwbHsConfig;
-
 #endif /* defined(AMIROLLD_CFG_DW1000) && (AMIROLLD_CFG_DW1000 == 1) */
 
 #endif //AMIROLLD_DW1000_V1_H