commit 0de5bed8bd33e082541932f8b108541e40eb193d
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Wed Jun 17 11:48:16 2020 +0200

    OSAL: Condition variable timeout feature is now optional.
    As a result, urtPublisherPublish() method supports timeout only if condition variables do.

diff --git a/doc/classdiagrams/config.svg b/doc/classdiagrams/config.svg
index 4467300..6baa0d4 100644
--- a/doc/classdiagrams/config.svg
+++ b/doc/classdiagrams/config.svg
@@ -1,5 +1,5 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="346px" preserveAspectRatio="none" style="width:308px;height:346px;" version="1.1" viewBox="0 0 308 346" width="308px" zoomAndPan="magnify"><defs><filter height="300%" id="f19u4eu9l1i7d5" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="107.5" y="16.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="120" x="92" y="37.6611">Configuration</text><!--MD5=[e443ac33c80100c2d54e1f5fe669f6d7]
-class urt_config--><rect fill="#FEFECE" filter="url(#f19u4eu9l1i7d5)" height="286.4844" id="urt_config" style="stroke: #A80036; stroke-width: 1.5;" width="290" x="7" y="48.9063"/><ellipse cx="116.75" cy="64.9063" fill="#BFBFBF" rx="11" ry="11" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M119.7188,70.5469 Q119.1406,70.8438 118.5,70.9844 Q117.8594,71.1406 117.1563,71.1406 Q114.6563,71.1406 113.3281,69.5 Q112.0156,67.8438 112.0156,64.7188 Q112.0156,61.5938 113.3281,59.9375 Q114.6563,58.2813 117.1563,58.2813 Q117.8594,58.2813 118.5,58.4375 Q119.1563,58.5938 119.7188,58.8906 L119.7188,61.6094 Q119.0938,61.0313 118.5,60.7656 Q117.9063,60.4844 117.2813,60.4844 Q115.9375,60.4844 115.25,61.5625 Q114.5625,62.625 114.5625,64.7188 Q114.5625,66.8125 115.25,67.8906 Q115.9375,68.9531 117.2813,68.9531 Q117.9063,68.9531 118.5,68.6875 Q119.0938,68.4063 119.7188,67.8281 L119.7188,70.5469 Z "/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="62" x="137.25" y="69.0605">urt_config</text><line style="stroke: #A80036; stroke-width: 1.5;" x1="8" x2="296" y1="80.9063" y2="80.9063"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="159" x="13" y="111.9214">URT_CFG_DELAY_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="194" x="13" y="124.7261">URT_CFG_NODESTAGE_WIDTH : int</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="130.5" y1="95.3086" y2="95.3086"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="43" x="130.5" y="98.6167">general</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="173.5" x2="296" y1="95.3086" y2="95.3086"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="197" x="13" y="154.3354">URT_CFG_PUBSUB_ENABLED : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="222" x="13" y="167.1401">URT_CFG_PUBSUB_TOPICID_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="204" x="13" y="179.9448">URT_CFG_PUBSUB_PROFILING : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="278" x="13" y="192.7495">URT_CFG_PUBSUB_QOS_DEADLINECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="252" x="13" y="205.5542">URT_CFG_PUBSUB_QOS_RATECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="258" x="13" y="218.3589">URT_CFG_PUBSUB_QOS_JITTERCHECKS : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="101.5" y1="137.7227" y2="137.7227"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="101" x="101.5" y="141.0308">publish-subscribe</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="202.5" x2="296" y1="137.7227" y2="137.7227"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="172" x="13" y="247.9683">URT_CFG_RPC_ENABLED : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="210" x="13" y="260.7729">URT_CFG_RPC_SERVICEID_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="179" x="13" y="273.5776">URT_CFG_RPC_PROFILING : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="253" x="13" y="286.3823">URT_CFG_RPC_QOS_DEADLINECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="233" x="13" y="299.187">URT_CFG_RPC_QOS_JITTERCHECKS : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="85.5" y1="231.3555" y2="231.3555"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="133" x="85.5" y="234.6636">remote procedure calls</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="218.5" x2="296" y1="231.3555" y2="231.3555"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="190" x="13" y="328.7964">URT_CFG_DEBUG_ENABLED : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="134.5" y1="312.1836" y2="312.1836"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="35" x="134.5" y="315.4917">debug</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="169.5" x2="296" y1="312.1836" y2="312.1836"/><!--MD5=[b5773c79a01ac53a242ef73d22f7ce2f]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="388px" preserveAspectRatio="none" style="width:308px;height:388px;" version="1.1" viewBox="0 0 308 388" width="308px" zoomAndPan="magnify"><defs><filter height="300%" id="f17804n3ly6r2u" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="107.5" y="16.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="120" x="92" y="37.6611">Configuration</text><!--MD5=[e443ac33c80100c2d54e1f5fe669f6d7]
+class urt_config--><rect fill="#FEFECE" filter="url(#f17804n3ly6r2u)" height="328.8984" id="urt_config" style="stroke: #A80036; stroke-width: 1.5;" width="290" x="7" y="48.9063"/><ellipse cx="116.75" cy="64.9063" fill="#BFBFBF" rx="11" ry="11" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M119.7188,70.5469 Q119.1406,70.8438 118.5,70.9844 Q117.8594,71.1406 117.1563,71.1406 Q114.6563,71.1406 113.3281,69.5 Q112.0156,67.8438 112.0156,64.7188 Q112.0156,61.5938 113.3281,59.9375 Q114.6563,58.2813 117.1563,58.2813 Q117.8594,58.2813 118.5,58.4375 Q119.1563,58.5938 119.7188,58.8906 L119.7188,61.6094 Q119.0938,61.0313 118.5,60.7656 Q117.9063,60.4844 117.2813,60.4844 Q115.9375,60.4844 115.25,61.5625 Q114.5625,62.625 114.5625,64.7188 Q114.5625,66.8125 115.25,67.8906 Q115.9375,68.9531 117.2813,68.9531 Q117.9063,68.9531 118.5,68.6875 Q119.0938,68.4063 119.7188,67.8281 L119.7188,70.5469 Z "/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="62" x="137.25" y="69.0605">urt_config</text><line style="stroke: #A80036; stroke-width: 1.5;" x1="8" x2="296" y1="80.9063" y2="80.9063"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="159" x="13" y="111.9214">URT_CFG_DELAY_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="194" x="13" y="124.7261">URT_CFG_NODESTAGE_WIDTH : int</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="130.5" y1="95.3086" y2="95.3086"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="43" x="130.5" y="98.6167">general</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="173.5" x2="296" y1="95.3086" y2="95.3086"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="197" x="13" y="154.3354">URT_CFG_PUBSUB_ENABLED : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="222" x="13" y="167.1401">URT_CFG_PUBSUB_TOPICID_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="204" x="13" y="179.9448">URT_CFG_PUBSUB_PROFILING : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="278" x="13" y="192.7495">URT_CFG_PUBSUB_QOS_DEADLINECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="252" x="13" y="205.5542">URT_CFG_PUBSUB_QOS_RATECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="258" x="13" y="218.3589">URT_CFG_PUBSUB_QOS_JITTERCHECKS : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="101.5" y1="137.7227" y2="137.7227"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="101" x="101.5" y="141.0308">publish-subscribe</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="202.5" x2="296" y1="137.7227" y2="137.7227"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="172" x="13" y="247.9683">URT_CFG_RPC_ENABLED : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="210" x="13" y="260.7729">URT_CFG_RPC_SERVICEID_WIDTH : int</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="179" x="13" y="273.5776">URT_CFG_RPC_PROFILING : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="253" x="13" y="286.3823">URT_CFG_RPC_QOS_DEADLINECHECKS : bool</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="233" x="13" y="299.187">URT_CFG_RPC_QOS_JITTERCHECKS : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="85.5" y1="231.3555" y2="231.3555"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="133" x="85.5" y="234.6636">remote procedure calls</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="218.5" x2="296" y1="231.3555" y2="231.3555"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="190" x="13" y="328.7964">URT_CFG_DEBUG_ENABLED : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="134.5" y1="312.1836" y2="312.1836"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="35" x="134.5" y="315.4917">debug</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="169.5" x2="296" y1="312.1836" y2="312.1836"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="182" x="13" y="358.4058">URT_CFG_OSAL_HEADER : string</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="239" x="13" y="371.2104">URT_CFG_OSAL_CONDVAR_TIMEOUT : bool</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="8" x2="137" y1="341.793" y2="341.793"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="30" x="137" y="345.1011">OSAL</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="167" x2="296" y1="341.793" y2="341.793"/><!--MD5=[11963f8eace96dd2c1f005da892e932c]
 @startuml
 
 title **µRtWare**\nConfiguration
@@ -35,6 +35,9 @@ title **µRtWare**\nConfiguration
   URT_CFG_RPC_QOS_JITTERCHECKS : bool
   .. debug ..
   URT_CFG_DEBUG_ENABLED : bool
+  .. OSAL ..
+  URT_CFG_OSAL_HEADER : string
+  URT_CFG_OSAL_CONDVAR_TIMEOUT : bool
 }
 
 