commit 034cb15a3cc8d91ef8a5e5bfd15b0e25d69cb643
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Fri Mar 15 13:37:01 2019 +0100

    Fixed some erroneous module versions.

diff --git a/modules/DiWheelDrive_1-2/board.c b/modules/DiWheelDrive_1-2/board.c
index 0ef0984..f624c7c 100644
--- a/modules/DiWheelDrive_1-2/board.c
+++ b/modules/DiWheelDrive_1-2/board.c
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   DiWheeDrive v1.1 Board specific initializations.
+ * @brief   DiWheeDrive v1.2 Board specific initializations.
  *
  * @addtogroup diwheeldrive_board
  * @{
diff --git a/modules/LightRing_1-0/aosconf.h b/modules/LightRing_1-0/aosconf.h
index 60f84b3..83f2046 100644
--- a/modules/LightRing_1-0/aosconf.h
+++ b/modules/LightRing_1-0/aosconf.h
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   AMiRo-OS Configuration file for the LightRing v1.1 module.
+ * @brief   AMiRo-OS Configuration file for the LightRing v1.0 module.
  * @details Contains the application specific AMiRo-OS settings.
  *
  * @addtogroup lightring_aos_config
diff --git a/modules/LightRing_1-2/alldconf.h b/modules/LightRing_1-2/alldconf.h
index 9cf3e26..e48b914 100644
--- a/modules/LightRing_1-2/alldconf.h
+++ b/modules/LightRing_1-2/alldconf.h
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   AMiRo-LLD configuration file for the LightRing v1.0 module.
+ * @brief   AMiRo-LLD configuration file for the LightRing v1.2 module.
  * @details Contains the application specific AMiRo-LLD settings.
  *
  * @addtogroup lightring_lld_config
diff --git a/modules/LightRing_1-2/aosconf.h b/modules/LightRing_1-2/aosconf.h
index 60f84b3..d9f6c56 100644
--- a/modules/LightRing_1-2/aosconf.h
+++ b/modules/LightRing_1-2/aosconf.h
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   AMiRo-OS Configuration file for the LightRing v1.1 module.
+ * @brief   AMiRo-OS Configuration file for the LightRing v1.2 module.
  * @details Contains the application specific AMiRo-OS settings.
  *
  * @addtogroup lightring_aos_config
diff --git a/modules/LightRing_1-2/board.c b/modules/LightRing_1-2/board.c
index badb34a..ef7ea32 100644
--- a/modules/LightRing_1-2/board.c
+++ b/modules/LightRing_1-2/board.c
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   LightRing v1.0 Board specific initializations.
+ * @brief   LightRing v1.2 Board specific initializations.
  *
  * @addtogroup lightring_board
  * @{
diff --git a/modules/LightRing_1-2/board.h b/modules/LightRing_1-2/board.h
index 6ad0ee5..e9dad05 100644
--- a/modules/LightRing_1-2/board.h
+++ b/modules/LightRing_1-2/board.h
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   LightRing v1.0 Board specific macros.
+ * @brief   LightRing v1.2 Board specific macros.
  *
  * @addtogroup lightring_board
  * @{
@@ -28,7 +28,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define BOARD_H
 
 /*
- * Setup for AMiRo LightRing v1.0 board.
+ * Setup for AMiRo LightRing v1.2 board.
  */
 
 /*
diff --git a/modules/LightRing_1-2/chconf.h b/modules/LightRing_1-2/chconf.h
index 482c190..96cd202 100644
--- a/modules/LightRing_1-2/chconf.h
+++ b/modules/LightRing_1-2/chconf.h
@@ -18,7 +18,7 @@
 
 /**
  * @file
- * @brief   ChibiOS Configuration file for the LightRing v1.0 module.
+ * @brief   ChibiOS Configuration file for the LightRing v1.2 module.
  * @details Contains the application specific kernel settings.
  *
  * @addtogroup lightring_ch_config
diff --git a/modules/LightRing_1-2/halconf.h b/modules/LightRing_1-2/halconf.h
index e6ecc60..2f3f81e 100644
--- a/modules/LightRing_1-2/halconf.h
+++ b/modules/LightRing_1-2/halconf.h
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   HAL configuration header for the LightRing v1.0 module.
+ * @brief   HAL configuration header for the LightRing v1.2 module.
  * @details HAL configuration file, this file allows to enable or disable the
  *          various device drivers from your application. You may also use
  *          this file in order to override the device drivers default settings.
diff --git a/modules/LightRing_1-2/module.c b/modules/LightRing_1-2/module.c
index 59bca9a..8c1b889 100644
--- a/modules/LightRing_1-2/module.c
+++ b/modules/LightRing_1-2/module.c
@@ -18,7 +18,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 /**
  * @file
- * @brief   Structures and constant for the LightRing v1.0 module.
+ * @brief   Structures and constant for the LightRing v1.2 module.
  *
  * @addtogroup lightring_module
  * @{
diff --git a/modules/PowerManagement_1-2/board.h b/modules/PowerManagement_1-2/board.h
index 4b045b1..47c201b 100644
--- a/modules/PowerManagement_1-2/board.h
+++ b/modules/PowerManagement_1-2/board.h
@@ -80,7 +80,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define STM32F4xx_AF_EVENTOUT           15U
 
 /*
- * Identifiers for the several sensor rings, which can be attached to the PowerManagement v1.1 module.
+ * Identifiers for the several sensor rings, which can be attached to the PowerManagement v1.2 module.
  */
 #define BOARD_NOSENSORRING              0
 #define BOARD_PROXIMITYSENSOR           1