commit ddf34c3d28477689064d650e0bf4f578de75ec86
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Wed Feb 6 13:55:47 2019 +0100

    updated AMiRo-LLD and applied all required changes to AMiRo-OS and all modules.

diff --git a/modules/PowerManagement_1-1/module.c b/modules/PowerManagement_1-1/module.c
index b2d7450..0481c0b 100644
--- a/modules/PowerManagement_1-1/module.c
+++ b/modules/PowerManagement_1-1/module.c
@@ -206,7 +206,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeStat2A = {
   /* GPIO */ &_gpioChargeStat2A,
   /* meta */ {
     /* direction      */ APAL_GPIO_DIRECTION_INPUT,
-    /* active state   */ BQ24103A_LLD_CHARGE_STATUS_GPIO_ACTIVE_STATE,
+    /* active state   */ BQ241xx_LLD_CHARGE_STATUS_GPIO_ACTIVE_STATE,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
   },
 };
@@ -286,7 +286,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeStat1A = {
   /* GPIO */ &_gpioChargeStat1A,
   /* meta */ {
     /* direction      */ APAL_GPIO_DIRECTION_INPUT,
-    /* active state   */ BQ24103A_LLD_CHARGE_STATUS_GPIO_ACTIVE_STATE,
+    /* active state   */ BQ241xx_LLD_CHARGE_STATUS_GPIO_ACTIVE_STATE,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
   },
 };
@@ -334,7 +334,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn1 = {
   /* GPIO */ &_gpioChargeEn1,
   /* meta */ {
     /* direction      */ APAL_GPIO_DIRECTION_OUTPUT,
-    /* active state   */ BQ24103A_LLD_ENABLED_GPIO_ACTIVE_STATE,
+    /* active state   */ BQ241xx_LLD_ENABLED_GPIO_ACTIVE_STATE,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
   },
 };
@@ -532,7 +532,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn2 = {
   /* GPIO */ &_gpioChargeEn2,
   /* meta */ {
     /* direction      */ APAL_GPIO_DIRECTION_OUTPUT,
-    /* active state   */ BQ24103A_LLD_ENABLED_GPIO_ACTIVE_STATE,
+    /* active state   */ BQ241xx_LLD_ENABLED_GPIO_ACTIVE_STATE,
     /* interrupt edge */ APAL_GPIO_EDGE_NONE,
   },
 };
@@ -568,17 +568,17 @@ ROMCONST char* moduleShellPrompt = "PowerManagement";
  */
 /*===========================================================================*/
 
-AT24C01BNDriver moduleLldEeprom = {
+AT24C01BDriver moduleLldEeprom = {
   /* I2C driver   */ &MODULE_HAL_I2C_SR_PM42_PM50_PMVDD_EEPROM_GAUGEFRONT,
-  /* I2C address  */ AT24C01BN_LLD_I2C_ADDR_FIXED,
+  /* I2C address  */ AT24C01B_LLD_I2C_ADDR_FIXED,
 };
 
-BQ24103ADriver moduleLldBatteryChargerFront = {
+BQ241xxDriver moduleLldBatteryChargerFront = {
   /* charge enable GPIO */ &moduleGpioChargeEn1,
   /* charge status GPIO */ &moduleGpioChargeStat1A,
 };
 
-BQ24103ADriver moduleLldBatteryChargerRear = {
+BQ241xxDriver moduleLldBatteryChargerRear = {
   /* charge enable GPIO */ &moduleGpioChargeEn2,
   /* charge status GPIO */ &moduleGpioChargeStat2A,
 };
@@ -634,7 +634,7 @@ LEDDriver moduleLldStatusLed = {
   /* LED GPIO */ &moduleGpioLed,
 };
 
-TPS62113Driver moduleLldStepDownConverter = {
+TPS6211xDriver moduleLldStepDownConverter = {
   /* Power enable GPIO */ &moduleGpioPowerEn,
 };
 
@@ -740,33 +740,33 @@ aos_unittest_t moduleUtAdcVsys = {
 };
 
 /*
- * AT24C01BN-SH-B (EEPROM)
+ * AT24C01B (EEPROM)
  */
-static int _utShellCmdCb_AlldAt24c01bn(BaseSequentialStream* stream, int argc, char* argv[])
+static int _utShellCmdCb_AlldAt24c01b(BaseSequentialStream* stream, int argc, char* argv[])
 {
   (void)argc;
   (void)argv;
-  aosUtRun(stream, &moduleUtAlldAt24c01bn, NULL);
+  aosUtRun(stream, &moduleUtAlldAt24c01b, NULL);
   return AOS_OK;
 }
-static ut_at24c01bndata_t _utAlldAt24c01bnData = {
+static ut_at24c01bdata_t _utAlldAt24c01bData = {
   /* driver   */ &moduleLldEeprom,
   /* timeout  */ MICROSECONDS_PER_SECOND,
 };
-aos_unittest_t moduleUtAlldAt24c01bn = {
-  /* name           */ "AT24C01BN-SH-B",
+aos_unittest_t moduleUtAlldAt24c01b = {
+  /* name           */ "AT24C01B",
   /* info           */ "1kbit EEPROM",
-  /* test function  */ utAlldAt24c01bnFunc,
+  /* test function  */ utAlldAt24c01bFunc,
   /* shell command  */ {
     /* name     */ "unittest:EEPROM",
-    /* callback */ _utShellCmdCb_AlldAt24c01bn,
+    /* callback */ _utShellCmdCb_AlldAt24c01b,
     /* next     */ NULL,
   },
-  /* data           */ &_utAlldAt24c01bnData,
+  /* data           */ &_utAlldAt24c01bData,
 };
 
 /*
- * BQ24103A (battery charger)
+ * bq24103a (battery charger)
  */
 static int _utShellCmdCb_AlldBq24103a(BaseSequentialStream* stream, int argc, char* argv[])
 {
@@ -806,9 +806,9 @@ static int _utShellCmdCb_AlldBq24103a(BaseSequentialStream* stream, int argc, ch
   }
 }
 aos_unittest_t moduleUtAlldBq24103a = {
-  /* name           */ "BQ24103A",
+  /* name           */ "bq24103a",
   /* info           */ "battery charger",
-  /* test function  */ utAlldBq24103aFunc,
+  /* test function  */ utAlldBq241xxFunc,
   /* shell command  */ {
     /* name     */ "unittest:BatteryCharger",
     /* callback */ _utShellCmdCb_AlldBq24103a,
@@ -818,7 +818,7 @@ aos_unittest_t moduleUtAlldBq24103a = {
 };
 
 /*
- * BQ27500 (fuel gauge)
+ * bq27500 (fuel gauge)
  */
 static int _utShellCmdCb_AlldBq27500(BaseSequentialStream* stream, int argc, char* argv[])
 {
@@ -851,7 +851,7 @@ static ut_bq27500data_t _utAlldBq27500Data = {
   /* timeout  */ MICROSECONDS_PER_SECOND,
 };
 aos_unittest_t moduleUtAlldBq27500 = {
-  /* name           */ "BQ27500",
+  /* name           */ "bq27500",
   /* info           */ "fuel gauge",
   /* test function  */ utAlldBq27500Func,
   /* shell command  */ {
@@ -863,26 +863,26 @@ aos_unittest_t moduleUtAlldBq27500 = {
 };
 
 /*
- * BQ27500 (fuel gauge) in combination with BQ24103A (battery charger)
+ * bq27500 (fuel gauge) in combination with bq24103a (battery charger)
  */
 static int _utShellCmdCb_AlldBq27500Bq24103a(BaseSequentialStream* stream, int argc, char* argv[])
 {
   // evaluate arguments
   if (argc == 2) {
     if (strcmp(argv[1], "-f") == 0 || strcmp(argv[1], "--front") == 0) {
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = &moduleLldFuelGaugeFront;
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq24103a = &moduleLldBatteryChargerFront;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = &moduleLldFuelGaugeFront;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq241xx = &moduleLldBatteryChargerFront;
       aosUtRun(stream, &moduleUtAlldBq27500Bq24103a, "front battery");
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = NULL;
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq24103a = NULL;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = NULL;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq241xx = NULL;
       return AOS_OK;
     }
     else if (strcmp(argv[1], "-r") == 0 || strcmp(argv[1], "--rear") == 0) {
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = &moduleLldFuelGaugeRear;
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq24103a = &moduleLldBatteryChargerRear;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = &moduleLldFuelGaugeRear;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq241xx = &moduleLldBatteryChargerRear;
       aosUtRun(stream, &moduleUtAlldBq27500Bq24103a, "rear battery");
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = NULL;
-      ((ut_bq27500bq24103adata_t*)moduleUtAlldBq27500Bq24103a.data)->bq24103a = NULL;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq27500 = NULL;
+      ((ut_bq27500bq241xxdata_t*)moduleUtAlldBq27500Bq24103a.data)->bq241xx = NULL;
       return AOS_OK;
     }
   }
@@ -895,15 +895,15 @@ static int _utShellCmdCb_AlldBq27500Bq24103a(BaseSequentialStream* stream, int a
   chprintf(stream, "    Test the rear battery fuel gauge and charger.\n");
   return AOS_INVALID_ARGUMENTS;
 }
-static ut_bq27500bq24103adata_t _utAlldBq27500Bq24103aData= {
-  /* BQ27500 driver   */ NULL,
-  /* BQ23203A driver  */ NULL,
+static ut_bq27500bq241xxdata_t _utAlldBq27500Bq24103aData= {
+  /* bq27500 driver   */ NULL,
+  /* bq24103a driver  */ NULL,
   /* timeout          */ MICROSECONDS_PER_SECOND,
 };
 aos_unittest_t moduleUtAlldBq27500Bq24103a = {
   /* name           */ "BQ27500 & BQ24103A",
   /* info           */ "fuel gauge & battery charger",
-  /* test function  */ utAlldBq27500Bq24103aFunc,
+  /* test function  */ utAlldBq27500Bq241xxFunc,
   /* shell command  */ {
     /* name     */ "unittest:FuelGauge&BatteryCharger",
     /* callback */ _utShellCmdCb_AlldBq27500Bq24103a,
@@ -1025,14 +1025,14 @@ static int _utShellCmdCb_AlldPklcs1212e4001(BaseSequentialStream* stream, int ar
   aosUtRun(stream, &moduleUtAlldPklcs1212e4001, NULL);
   return AOS_OK;
 }
-static ut_pklcs1212e4001_t _utAlldPklcs1212e4001Data = {
+static ut_pkxxxexxx_t _utAlldPklcs1212e4001Data = {
   /* PWM driver   */ &MODULE_HAL_PWM_BUZZER,
   /* PWM channel  */ MODULE_HAL_PWM_BUZZER_CHANNEL
 };
 aos_unittest_t moduleUtAlldPklcs1212e4001 = {
   /* name           */ "PKLCS1212E4001",
   /* info           */ "buzzer",
-  /* test function  */ utAlldPklcs1212e4001Func,
+  /* test function  */ utAlldPkxxxexxxFunc,
   /* shell command  */ {
     /* name     */ "unittest:Buzzer",
     /* callback */ _utShellCmdCb_AlldPklcs1212e4001,
@@ -1042,7 +1042,7 @@ aos_unittest_t moduleUtAlldPklcs1212e4001 = {
 };
 
 /*
- * TPS62113 (stop-down converter)
+ * TPS62113 (step-down converter)
  */
 static int _utShellCmdCb_AlldTps62113(BaseSequentialStream* stream, int argc, char* argv[])
 {
@@ -1056,7 +1056,7 @@ static int _utShellCmdCb_AlldTps62113(BaseSequentialStream* stream, int argc, ch
 aos_unittest_t moduleUtAlldTps62113 = {
   /* name           */ "TPS62113",
   /* info           */ "step-down converter",
-  /* test function  */ utAlldTps62113Func,
+  /* test function  */ utAlldTps6211xFunc,
   /* shell command  */ {
     /* name     */ "unittest:StepDownConverter",
     /* callback */ _utShellCmdCb_AlldTps62113,
@@ -1075,7 +1075,7 @@ static int _utShellCmdCb_AlldTps62113Ina219(BaseSequentialStream* stream, int ar
   aosUtRun(stream, &moduleUtAlldTps62113Ina219, "VSYS (4.2V)");
   return AOS_OK;
 }
-static ut_tps62113ina219data_t _utAlldTps62113Ina219Data = {
+static ut_tps6211xina219data_t _utAlldTps62113Ina219Data = {
   /* TPS62113 */ &moduleLldStepDownConverter,
   /* INA219   */ &moduleLldPowerMonitorVsys42,
   /* timeout  */ MICROSECONDS_PER_SECOND,
@@ -1083,7 +1083,7 @@ static ut_tps62113ina219data_t _utAlldTps62113Ina219Data = {
 aos_unittest_t moduleUtAlldTps62113Ina219 = {
   /* name           */ "TPS62113 & INA219",
   /* info           */ "step-down converter & power monitor",
-  /* test function  */ utAlldTps62113Ina219Func,
+  /* test function  */ utAlldTps6211xIna219Func,
   /* shell command  */ {
     /* name     */ "unittest:StepDownConverter&PowerMonitor",
     /* callback */ _utShellCmdCb_AlldTps62113Ina219,