commit 6a5c36ebbc5e94612f85e4bd8e43807811b40403
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Oct 31 14:39:33 2019 +0100

    modified the structure of board.h and .c files to be consistent with ChibiOS

diff --git a/modules/DiWheelDrive_1-1/board.c b/modules/DiWheelDrive_1-1/board.c
index 0ef0984..059caec 100644
--- a/modules/DiWheelDrive_1-1/board.c
+++ b/modules/DiWheelDrive_1-1/board.c
@@ -26,6 +26,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #include <hal.h>
 
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
 #if HAL_USE_PAL || defined(__DOXYGEN__)
 /**
  * @brief   PAL setup.
@@ -57,6 +69,18 @@ const PALConfig pal_default_config = {
 };
 #endif
 
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/DiWheelDrive_1-1/board.h b/modules/DiWheelDrive_1-1/board.h
index 0403412..1832e08 100644
--- a/modules/DiWheelDrive_1-1/board.h
+++ b/modules/DiWheelDrive_1-1/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo DiWheelDrive v1.1 board.
  */
@@ -232,6 +236,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define LINE_OSC_OUT                PAL_LINE(GPIOD, GPIOD_OSC_OUT)
 #define LINE_SYS_WARMRST_N          PAL_LINE(GPIOD, GPIOD_SYS_WARMRST_N)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -632,6 +652,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                      PIN_ODR_LOW(GPIOG_PIN14) |                                                    \
                                      PIN_ODR_LOW(GPIOG_PIN15))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {
diff --git a/modules/DiWheelDrive_1-2/board.c b/modules/DiWheelDrive_1-2/board.c
index f624c7c..3c4c143 100644
--- a/modules/DiWheelDrive_1-2/board.c
+++ b/modules/DiWheelDrive_1-2/board.c
@@ -26,6 +26,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #include <hal.h>
 
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
 #if HAL_USE_PAL || defined(__DOXYGEN__)
 /**
  * @brief   PAL setup.
@@ -57,6 +69,18 @@ const PALConfig pal_default_config = {
 };
 #endif
 
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/DiWheelDrive_1-2/board.h b/modules/DiWheelDrive_1-2/board.h
index 8758766..a7abb3f 100644
--- a/modules/DiWheelDrive_1-2/board.h
+++ b/modules/DiWheelDrive_1-2/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo DiWheelDrive v1.2 board.
  */
@@ -228,6 +232,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define LINE_OSC_OUT                PAL_LINE(GPIOD, GPIOD_OSC_OUT)
 #define LINE_SYS_WARMRST_N          PAL_LINE(GPIOD, GPIOD_SYS_WARMRST_N)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -628,6 +648,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                      PIN_ODR_LOW(GPIOG_PIN14) |                                                    \
                                      PIN_ODR_LOW(GPIOG_PIN15))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {
diff --git a/modules/LightRing_1-0/board.c b/modules/LightRing_1-0/board.c
index badb34a..b090e4a 100644
--- a/modules/LightRing_1-0/board.c
+++ b/modules/LightRing_1-0/board.c
@@ -26,6 +26,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #include <hal.h>
 
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
 #if HAL_USE_PAL || defined(__DOXYGEN__)
 /**
  * @brief   PAL setup.
@@ -57,6 +69,18 @@ const PALConfig pal_default_config = {
 };
 #endif
 
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/LightRing_1-0/board.h b/modules/LightRing_1-0/board.h
index 07ee007..7f0d7ab 100644
--- a/modules/LightRing_1-0/board.h
+++ b/modules/LightRing_1-0/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo LightRing v1.0 board.
  */
@@ -216,6 +220,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #define LINE_SYS_INT_N              PAL_LINE(GPIOD, GPIOD_SYS_INT_N)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -615,6 +635,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                      PIN_ODR_LOW(GPIOG_PIN14) |                                                    \
                                      PIN_ODR_LOW(GPIOG_PIN15))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {
diff --git a/modules/LightRing_1-2/board.c b/modules/LightRing_1-2/board.c
index ef7ea32..39d57d6 100644
--- a/modules/LightRing_1-2/board.c
+++ b/modules/LightRing_1-2/board.c
@@ -26,6 +26,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #include <hal.h>
 
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
 #if HAL_USE_PAL || defined(__DOXYGEN__)
 /**
  * @brief   PAL setup.
@@ -57,6 +69,18 @@ const PALConfig pal_default_config = {
 };
 #endif
 
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/LightRing_1-2/board.h b/modules/LightRing_1-2/board.h
index 46db6d7..98f5c8d 100644
--- a/modules/LightRing_1-2/board.h
+++ b/modules/LightRing_1-2/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo LightRing v1.2 board.
  */
@@ -245,6 +249,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #define LINE_SYS_INT_N              PAL_LINE(GPIOD, GPIOD_SYS_INT_N)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -644,6 +664,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                      PIN_ODR_LOW(GPIOG_PIN14) |                                                    \
                                      PIN_ODR_LOW(GPIOG_PIN15))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {
diff --git a/modules/PowerManagement_1-1/board.c b/modules/PowerManagement_1-1/board.c
index cb33515..90fb63c 100644
--- a/modules/PowerManagement_1-1/board.c
+++ b/modules/PowerManagement_1-1/board.c
@@ -27,14 +27,21 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include <hal.h>
 #include <stm32_gpio.h>
 
-/**
- * @brief   GPIO initialization.
- *
- * @param[in]   gpiop   GPIO register block.
- * @param[in]   config  GPIO configuration.
- */
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
 
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
 
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
 
 /**
  * @brief   GPIO initialization.
@@ -114,6 +121,14 @@ static void _stm32_gpio_init(void) {
 #endif
 }
 
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/PowerManagement_1-1/board.h b/modules/PowerManagement_1-1/board.h
index 794ab31..87541a9 100644
--- a/modules/PowerManagement_1-1/board.h
+++ b/modules/PowerManagement_1-1/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo PowerManagement v1.1 board.
  */
@@ -308,6 +312,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define LINE_OSC_IN                     PAL_LINE(GPIOH, 0U)
 #define LINE_OSC_OUT                    PAL_LINE(GPIOH, 1U)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -1383,6 +1403,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                          PIN_AFIO_AF(GPIOI_PIN14, STM32F4xx_AF_system) |              \
                                          PIN_AFIO_AF(GPIOI_PIN15, STM32F4xx_AF_system))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {
diff --git a/modules/PowerManagement_1-2/board.c b/modules/PowerManagement_1-2/board.c
index 18d4274..f683ea2 100644
--- a/modules/PowerManagement_1-2/board.c
+++ b/modules/PowerManagement_1-2/board.c
@@ -27,14 +27,21 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include <hal.h>
 #include <stm32_gpio.h>
 
-/**
- * @brief   GPIO initialization.
- *
- * @param[in]   gpiop   GPIO register block.
- * @param[in]   config  GPIO configuration.
- */
+/*===========================================================================*/
+/* Driver local definitions.                                                 */
+/*===========================================================================*/
 
+/*===========================================================================*/
+/* Driver exported variables.                                                */
+/*===========================================================================*/
 
+/*===========================================================================*/
+/* Driver local variables and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver local functions.                                                   */
+/*===========================================================================*/
 
 /**
  * @brief   GPIO initialization.
@@ -114,6 +121,14 @@ static void _stm32_gpio_init(void) {
 #endif
 }
 
+/*===========================================================================*/
+/* Driver interrupt handlers.                                                */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver exported functions.                                                */
+/*===========================================================================*/
+
 /**
  * @brief   Early initialization code.
  * @details This initialization must be performed just after stack setup
diff --git a/modules/PowerManagement_1-2/board.h b/modules/PowerManagement_1-2/board.h
index 52d8720..e28ce04 100644
--- a/modules/PowerManagement_1-2/board.h
+++ b/modules/PowerManagement_1-2/board.h
@@ -27,6 +27,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #ifndef BOARD_H
 #define BOARD_H
 
+/*===========================================================================*/
+/* Driver constants.                                                         */
+/*===========================================================================*/
+
 /*
  * Setup for AMiRo PowerManagement v1.2 board.
  */
@@ -309,6 +313,22 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define LINE_OSC_IN                     PAL_LINE(GPIOH, 0U)
 #define LINE_OSC_OUT                    PAL_LINE(GPIOH, 1U)
 
+/*===========================================================================*/
+/* Driver pre-compile time settings.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Derived constants and error checks.                                       */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver data structures and types.                                         */
+/*===========================================================================*/
+
+/*===========================================================================*/
+/* Driver macros.                                                            */
+/*===========================================================================*/
+
 /*
  * I/O ports initial setup, this configuration is established soon after reset
  * in the initialization code.
@@ -1384,6 +1404,10 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
                                          PIN_AFIO_AF(GPIOI_PIN14, STM32F4xx_AF_system) |              \
                                          PIN_AFIO_AF(GPIOI_PIN15, STM32F4xx_AF_system))
 
+/*===========================================================================*/
+/* External declarations.                                                    */
+/*===========================================================================*/
+
 #if !defined(_FROM_ASM_)
 #ifdef __cplusplus
 extern "C" {