commit faff9a2e36e2b834ba90fcda6a1a19e5754cd544
Author: Simon Schulz <sschulz@cit-ec.uni-bielefeld.de>
Date:   Wed Jun 17 09:09:24 2015 +0200

    cleanup

diff --git a/client/python/a/test.py b/client/python/a/test.py
deleted file mode 100644
index 94015f4..0000000
--- a/client/python/a/test.py
+++ /dev/null
@@ -1,54 +0,0 @@
-"""
-This file is part of hlrc
-
-Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-http://opensource.cit-ec.de/projects/hlrc
-
-This file may be licensed under the terms of the
-GNU General Public License Version 3 (the ``GPL''),
-or (at your option) any later version.
-
-Software distributed under the License is distributed
-on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-express or implied. See the GPL for the specific language
-governing rights and limitations.
-
-You should have received a copy of the GPL along with this
-program. If not, go to http://www.gnu.org/licenses/gpl.html
-or write to the Free Software Foundation, Inc.,
-51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-The development of this software was supported by the
-Excellence Cluster EXC 277 Cognitive Interaction Technology.
-The Excellence Cluster EXC 277 is a grant of the Deutsche
-Forschungsgemeinschaft (DFG) in the context of the German
-Excellence Initiative.
-"""
-
-import logging
-from hlrc_client import *
-import time
-import sys
-
-if __name__ == "__main__":
-	
-	
-	
-	r = RobotController("RSB", "/flobi", logging.DEBUG)
-	
-	
-	r.set_current_emotion(RobotEmotion(RobotEmotion.SAD))
-	r.set_head_animation(RobotAnimation(RobotAnimation.HEAD_SHAKE))
-	r.set_speak("test 123")
-	
-	g = RobotGaze()
-	
-	while(True):
-		g.pan = g.pan + 5.0;
-		if (g.pan > 20.0):
-			g.pan = -20.0
-		r.set_gaze_target(g)
-		time.sleep(1)
-	#e = RobotAnimation()
-	#print e
-	
diff --git a/client/python/hlrc_client.egg-info/PKG-INFO b/client/python/hlrc_client.egg-info/PKG-INFO
deleted file mode 100644
index e6395dd..0000000
--- a/client/python/hlrc_client.egg-info/PKG-INFO
+++ /dev/null
@@ -1,26 +0,0 @@
-Metadata-Version: 1.1
-Name: hlrc-client
-Version: 0.1
-Summary: [h]igh [l]evel [r]obot [c]ontrol client project
-Home-page: http://opensource.cit-ec.uni-bielefeld.de/hlrc
-Author: Simon Schulz
-Author-email: sschulz@techfak.uni-bielefeld.de
-License: GPLv3
-Description: [h]igh [l]evel [r]obot [c]ontrol client project
-        =======================
-        
-        This is the python implementation of the hlrc_client
-        
-Keywords: sample setuptools development
-Platform: UNKNOWN
-Classifier: Development Status :: 3 - Alpha
-Classifier: Intended Audience :: Developers
-Classifier: Topic :: Scientific/Engineering
-Classifier: License :: OSI Approved :: GNU General Public License v3 (GPLv3)
-Classifier: Programming Language :: Python :: 2
-Classifier: Programming Language :: Python :: 2.6
-Classifier: Programming Language :: Python :: 2.7
-Classifier: Programming Language :: Python :: 3
-Classifier: Programming Language :: Python :: 3.2
-Classifier: Programming Language :: Python :: 3.3
-Classifier: Programming Language :: Python :: 3.4
diff --git a/client/python/hlrc_client.egg-info/SOURCES.txt b/client/python/hlrc_client.egg-info/SOURCES.txt
deleted file mode 100644
index 1eb498a..0000000
--- a/client/python/hlrc_client.egg-info/SOURCES.txt
+++ /dev/null
@@ -1,22 +0,0 @@
-DESCRIPTION.rst
-MANIFEST.in
-README.rst
-setup.cfg
-setup.py
-hlrc_client/Middleware.py
-hlrc_client/MiddlewareROS.py
-hlrc_client/MiddlewareRSB.py
-hlrc_client/RobotAnimation.py
-hlrc_client/RobotController.py
-hlrc_client/RobotEmotion.py
-hlrc_client/RobotGaze.py
-hlrc_client/RobotMouth.py
-hlrc_client/__init__.py
-hlrc_client/hlrc_test_gui.py
-hlrc_client/textgrid_hlrc.py
-hlrc_client.egg-info/PKG-INFO
-hlrc_client.egg-info/SOURCES.txt
-hlrc_client.egg-info/dependency_links.txt
-hlrc_client.egg-info/entry_points.txt
-hlrc_client.egg-info/requires.txt
-hlrc_client.egg-info/top_level.txt
\ No newline at end of file
diff --git a/client/python/hlrc_client.egg-info/dependency_links.txt b/client/python/hlrc_client.egg-info/dependency_links.txt
deleted file mode 100644
index 8b13789..0000000
--- a/client/python/hlrc_client.egg-info/dependency_links.txt
+++ /dev/null
@@ -1 +0,0 @@
-
diff --git a/client/python/hlrc_client.egg-info/entry_points.txt b/client/python/hlrc_client.egg-info/entry_points.txt
deleted file mode 100644
index 536de5d..0000000
--- a/client/python/hlrc_client.egg-info/entry_points.txt
+++ /dev/null
@@ -1,3 +0,0 @@
-[console_scripts]
-hlrc_test_gui = hlrc_client.hlrc_test_gui:main
-
diff --git a/client/python/hlrc_client.egg-info/requires.txt b/client/python/hlrc_client.egg-info/requires.txt
deleted file mode 100644
index f79d3b2..0000000
--- a/client/python/hlrc_client.egg-info/requires.txt
+++ /dev/null
@@ -1,7 +0,0 @@
-
-
-[test]
-coverage
-
-[dev]
-check-manifest
\ No newline at end of file
diff --git a/client/python/hlrc_client.egg-info/top_level.txt b/client/python/hlrc_client.egg-info/top_level.txt
deleted file mode 100644
index 7087258..0000000
--- a/client/python/hlrc_client.egg-info/top_level.txt
+++ /dev/null
@@ -1 +0,0 @@
-hlrc_client